/*
 * version.h
 *
 * Copyright (C) 2004-2008 Atmark Techno, Inc.   All Rights Reserved.
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of this
 * archive for more details.
 *
 */

#ifndef _BBOOT_VERSION_H_
#define _BBOOT_VERSION_H_

#define BBOOT_VERSION "2.11"
#define BBOOT_NAME "BBoot"

#if defined(__PPC__) || defined(__powerpc__)
#define TARGET_CPU "powerpc"
#include "powerpc.h"
#elif defined(__MICROBLAZE__)
#define TARGET_CPU "microblaze"
#include "microblaze.h"
#else
#define TARGET_CPU "unknown"
#endif

#endif /* !_BBOOT_VERSION_H_ */
